## ros-jazzy-rcl-logging-interface 3.1.0

=== debian/changelog ===
ros-jazzy-rcl-logging-interface (3.1.0-3bookworm) bookworm; urgency=high

  * Check allocator validity in some rcl_logging functions (#116 <https://github.com/ros2/rcl_logging/issues/116>)
    If the allocator is zero-initialized, it may cause a segfault when it is
    used later in the functions.
  * Use (void) in declaration of param-less function (#114 <https://github.com/ros2/rcl_logging/issues/114>)
  * Contributors: Christophe Bedard, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rcl-logging-interface (3.0.0-3bookworm) bookworm; urgency=high

  * add file_name_prefix parameter to external log configuration. (#109 <https://github.com/ros2/rcl_logging/issues/109>)
  * Contributors: Tomoya Fujita

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.7.1-3bookworm) bookworm; urgency=high

  * Migrate to std::filesystem (#104 <https://github.com/ros2/rcl_logging/issues/104>)
  * Contributors: Kenta Yonekura

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.7.0-3bookworm) bookworm; urgency=high

  * Remove the last uses of ament_target_dependencies in this repo. (#102 <https://github.com/ros2/rcl_logging/issues/102>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.6.0-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.5.1-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.5.0-3bookworm) bookworm; urgency=high

  * Update rcl_logging to C++17. (#98 <https://github.com/ros2/rcl_logging/issues/98>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.4.3-3bookworm) bookworm; urgency=high

  * Updated maintainers - 2022-11-07 (#96 <https://github.com/ros2/rcl_logging/issues/96>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 17 Nov 2022 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.4.2-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.4.1-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.4.0-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.3.0-3bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} (#85 <https://github.com/ros2/rcl_logging/issues/85>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.2.1-3bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#84 <https://github.com/ros2/rcl_logging/issues/84>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Update maintainers to Chris Lalancette (#83 <https://github.com/ros2/rcl_logging/issues/83>)
  * Contributors: Audrow Nash, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.2.0-3bookworm) bookworm; urgency=high

  * Fix renamed rcpputils header (#81 <https://github.com/ros2/rcl_logging/issues/81>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.1.3-3bookworm) bookworm; urgency=high

  * Add Doxyfile to rcl_logging_interface package (#80 <https://github.com/ros2/rcl_logging/issues/80>)
  * Update includes after rcutils/get_env.h deprecation (#75 <https://github.com/ros2/rcl_logging/issues/75>)
  * Contributors: Christophe Bedard, Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 15 Sep 2021 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.1.2-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.1.1-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.1.0-3bookworm) bookworm; urgency=high

  * Update QD to QL 1 (#66 <https://github.com/ros2/rcl_logging/issues/66>)
  * Use rcutils_expand_user in rcl_logging_get_logging_directory (#59 <https://github.com/ros2/rcl_logging/issues/59>)
  * Allow configuring logging directory through environment variables (#53 <https://github.com/ros2/rcl_logging/issues/53>)
  * Update the maintainers. (#55 <https://github.com/ros2/rcl_logging/issues/55>)
  * Contributors: Chris Lalancette, Christophe Bedard, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.0.1-3bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 Jul 2020 16:00:00 -0000

ros-jazzy-rcl-logging-interface (2.0.0-3bookworm) bookworm; urgency=high

  * Add new package with rcl logging interface (#41 <https://github.com/ros2/rcl_logging/issues/41>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Jun 2020 16:00:00 -0000
